using System;
using GraphicsManager;
using OpenTK.Windowing.Desktop;
using OpenTK.Windowing.Common;

namespace Luski.GUI.StartPage;

public class StartPage : Window
{
    private static readonly NativeWindowSettings Settings = new()
    {
        Title = "Luski StartPage",
        WindowBorder = WindowBorder.Fixed,
        APIVersion = new Version(3, 2),
        StartFocused = true,
        Size = new OpenTK.Mathematics.Vector2i(481, 838),
    };
    
    public  StartPage() : base(Settings)
    {
        Controls.Add(new UI.Login());
    }
}