using System.Reflection;
using GraphicsManager;
using GraphicsManager.Objects;
using GraphicsManager.Objects.Core;
using OpenTK.Mathematics;

namespace Luski.GUI.StartPage.UI;

public class Login : UserControl
{
    public Login()
    {
        Size = new(481, 838);
        Controls.Add(new Rectangle(new Texture(Tools.GetResourceBytes(Assembly.GetExecutingAssembly(), "Luski.Resources.Textures.Luski.png"))) { Location = new(103,8), Size = new(276, 289)});
        Controls.Add(new Label()   { Location = new(173,305), Text = "Luski", Color = new(0.9529f, 0.46666f, 0.203921569f, 1f) });
        Controls.Add(new Label()   { Location = new(34,395), Text = "Email"});
        Controls.Add(new Textbox() { Location = new(41,431), Size = new(401,41), InsideColor = new(28,28,28,255), BorderColor = Color4.DarkCyan });
        Controls.Add(new Label()   { Location = new(34,521), Text = "Password" });
        Controls.Add(new Textbox() { Location = new(41,562), Size = new(401, 41), InsideColor = new(28, 28, 28, 255), BorderColor = Color4.DarkCyan });
        Controls.Add(new Label()   { Location = new(36,664), Text = "Create Account" });
    }
}
